Delete a message

Permanently deletes a message by its ID. Use this endpoint to delete a message through the Samva email API.

DELETE
/v1/messages/{id}

Permanently deletes a message by its ID.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
success*boolean
message*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.messages.remove({  "id": "example"});
Example Response
{  "success": true,  "message": "string"}

Related documentation